Method: projects.locations.zones.ops.list

Lists ZoneOperations in a given project and location.

HTTP request

GET https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*/zones/*}/ops

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListZoneOperationsRequest. Format: projects/{project}/locations/{location}/zones/{zone}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of resources to return. The service may return fewer than this value. If unspecified, at most 50 resources will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ops.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. Filtering results.

orderBy

string

Optional. Hint for how to order the results.

Request body

The request body must be empty.

Response body

Response message for ops.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "zoneOperations": [
    {
      object (ZoneOperation)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
zoneOperations[]

object (ZoneOperation)

The resources from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.